## org.eclipse.emf.compare.diff.merge
Interface IMergerProvider

    public interface IMergerProvider

This allows the association of mergers to specific `DiffElement`.

Mergers should implement the interface `IMerger` and provide a default, no-arg constructor. This interface is intended to be implemented for the use of the extension point `org.eclipse.emf.compare.diff.mergerprovider`.

See Also:
  `IMerger`, `MergeFactory`

Method Summary
`java.util.Map<java.lang.Class<? extends DiffElement>,java.lang.Class<? extends IMerger>>` `getMergers()` This will be called by the merge factory to get a list of all the mergers associated to a given `DiffElement`.

Method Detail

### getMergers

    java.util.Map<java.lang.Class<? extends DiffElement>,java.lang.Class<? extends IMerger>> getMergers()

  This will be called by the merge factory to get a list of all the mergers associated to a given `DiffElement`.

  Returns:
    The map allowing us to know which merger should be used for which DiffElement.

Copyright 2006 IBM Corporation and others. All Rights Reserved.